Bug 154846 - Installer fails to recognize network interface on Mac G3 (b/w)
Installer fails to recognize network interface on Mac G3 (b/w)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
powerpc Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-14 11:23 EDT by Christian Bjelle
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-24 05:56:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Bjelle 2005-04-14 11:23:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
Anaconda does not recognize the BMAC interface on my blue&white G3, so it has to be selected from a list.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start installation
2.select one of the net-based ones (I used NFS)
3.
  

Actual Results:  Installer writes something like "Can't find any network interface. Select one from list"

Expected Results:  The appropriate interface should have been automagically initialized and used.

Additional info:
Comment 1 Jeremy Katz 2005-04-14 17:24:55 EDT
Can you provide lspci from the machine?
Comment 2 Christian Bjelle 2005-04-21 09:49:30 EDT
lspci shows:
00:00.0 Host bridge: Motorola MPC106 [Grackle] (rev 40)
00:0d.0 PCI bridge: Digital Equipment Corporation DECchip 21154 (rev 02)
00:10.0 VGA compatible controller: ATI Technologies Inc Rage 128 RE/SG
01:00.0 FireWire (IEEE 1394): Texas Instruments PCILynx/PCILynx2 IEEE 1394 Link
Layer Controller (rev 02)
01:01.0 IDE interface: Silicon Image, Inc. (formerly CMD Technology Inc) PCI0646
(rev 05)
01:04.0 SCSI storage controller: Adaptec AHA-2940U2/U2W (rev 01)
01:05.0 Class ff00: Apple Computer Inc. Paddington Mac I/O
01:06.0 USB Controller: OPTi Inc. 82C861 (rev 10)
Comment 3 Paul Nasrat 2005-04-21 09:55:53 EDT
Could you attach the output of

find /proc/device-tree

Comment 4 Christian Bjelle 2005-04-21 11:41:44 EDT
Lots of stuff here...

/proc/device-tree/
/proc/device-tree/model
/proc/device-tree/compatible
/proc/device-tree/name
/proc/device-tree/copyright
/proc/device-tree/device_type
/proc/device-tree/system-id
/proc/device-tree/#address-cells
/proc/device-tree/#size-cells
/proc/device-tree/clock-frequency
/proc/device-tree/AAPL,add-fcode-file
/proc/device-tree/linux,phandle
/proc/device-tree/pci-OF-bus-map
/proc/device-tree/cpus
/proc/device-tree/cpus/name
/proc/device-tree/cpus/#address-cells
/proc/device-tree/cpus/#size-cells
/proc/device-tree/cpus/linux,phandle
/proc/device-tree/cpus/PowerPC,750
/proc/device-tree/cpus/PowerPC,750/name
/proc/device-tree/cpus/PowerPC,750/device_type
/proc/device-tree/cpus/PowerPC,750/reg
/proc/device-tree/cpus/PowerPC,750/cpu-version
/proc/device-tree/cpus/PowerPC,750/state
/proc/device-tree/cpus/PowerPC,750/clock-frequency
/proc/device-tree/cpus/PowerPC,750/bus-frequency
/proc/device-tree/cpus/PowerPC,750/timebase-frequency
/proc/device-tree/cpus/PowerPC,750/reservation-granule-size
/proc/device-tree/cpus/PowerPC,750/tlb-sets
/proc/device-tree/cpus/PowerPC,750/tlb-size
/proc/device-tree/cpus/PowerPC,750/d-cache-size
/proc/device-tree/cpus/PowerPC,750/i-cache-size
/proc/device-tree/cpus/PowerPC,750/d-cache-sets
/proc/device-tree/cpus/PowerPC,750/i-cache-sets
/proc/device-tree/cpus/PowerPC,750/i-cache-block-size
/proc/device-tree/cpus/PowerPC,750/d-cache-block-size
/proc/device-tree/cpus/PowerPC,750/l2-cache
/proc/device-tree/cpus/PowerPC,750/existing
/proc/device-tree/cpus/PowerPC,750/available
/proc/device-tree/cpus/PowerPC,750/translations
/proc/device-tree/cpus/PowerPC,750/linux,phandle
/proc/device-tree/cpus/PowerPC,750/PowerPC,750
/proc/device-tree/cpus/PowerPC,750/PowerPC,750/name
/proc/device-tree/cpus/PowerPC,750/PowerPC,750/device_type
/proc/device-tree/cpus/PowerPC,750/PowerPC,750/i-cache-size
/proc/device-tree/cpus/PowerPC,750/PowerPC,750/d-cache-size
/proc/device-tree/cpus/PowerPC,750/PowerPC,750/i-cache-sets
/proc/device-tree/cpus/PowerPC,750/PowerPC,750/d-cache-sets
/proc/device-tree/cpus/PowerPC,750/PowerPC,750/i-cache-line-size
/proc/device-tree/cpus/PowerPC,750/PowerPC,750/d-cache-line-size
/proc/device-tree/cpus/PowerPC,750/PowerPC,750/cache-unified
/proc/device-tree/cpus/PowerPC,750/PowerPC,750/clock-frequency
/proc/device-tree/cpus/PowerPC,750/PowerPC,750/linux,phandle
/proc/device-tree/chosen
/proc/device-tree/chosen/name
/proc/device-tree/chosen/stdin
/proc/device-tree/chosen/stdout
/proc/device-tree/chosen/memory
/proc/device-tree/chosen/mmu
/proc/device-tree/chosen/nvram
/proc/device-tree/chosen/bootpath
/proc/device-tree/chosen/bootargs
/proc/device-tree/chosen/mac-address
/proc/device-tree/chosen/interrupt-controller
/proc/device-tree/chosen/linux,phandle
/proc/device-tree/memory@0
/proc/device-tree/memory@0/name
/proc/device-tree/memory@0/device_type
/proc/device-tree/memory@0/reg
/proc/device-tree/memory@0/slot-names
/proc/device-tree/memory@0/available
/proc/device-tree/memory@0/linux,phandle
/proc/device-tree/openprom
/proc/device-tree/openprom/name
/proc/device-tree/openprom/device_type
/proc/device-tree/openprom/model
/proc/device-tree/openprom/relative-addressing
/proc/device-tree/openprom/supports-bootinfo
/proc/device-tree/openprom/linux,phandle
/proc/device-tree/openprom/client-services
/proc/device-tree/openprom/client-services/name
/proc/device-tree/openprom/client-services/linux,phandle
/proc/device-tree/rom@ff800000
/proc/device-tree/rom@ff800000/name
/proc/device-tree/rom@ff800000/reg
/proc/device-tree/rom@ff800000/ranges
/proc/device-tree/rom@ff800000/#address-cells
/proc/device-tree/rom@ff800000/linux,phandle
/proc/device-tree/rom@ff800000/boot-rom@fff00000
/proc/device-tree/rom@ff800000/boot-rom@fff00000/name
/proc/device-tree/rom@ff800000/boot-rom@fff00000/reg
/proc/device-tree/rom@ff800000/boot-rom@fff00000/write-characteristic
/proc/device-tree/rom@ff800000/boot-rom@fff00000/model
/proc/device-tree/rom@ff800000/boot-rom@fff00000/BootROM-version
/proc/device-tree/rom@ff800000/boot-rom@fff00000/BootROM-build-date
/proc/device-tree/rom@ff800000/boot-rom@fff00000/result
/proc/device-tree/rom@ff800000/boot-rom@fff00000/info
/proc/device-tree/rom@ff800000/boot-rom@fff00000/linux,phandle
/proc/device-tree/rom@ff800000/boot-rom
/proc/device-tree/rom@ff800000/@fff00000
/proc/device-tree/rom@ff800000/macos
/proc/device-tree/rom@ff800000/macos/name
/proc/device-tree/rom@ff800000/macos/linux,phandle
/proc/device-tree/rom
/proc/device-tree/@ff800000
/proc/device-tree/options
/proc/device-tree/options/name
/proc/device-tree/options/little-endian?
/proc/device-tree/options/real-mode?
/proc/device-tree/options/auto-boot?
/proc/device-tree/options/diag-switch?
/proc/device-tree/options/fcode-debug?
/proc/device-tree/options/oem-banner?
/proc/device-tree/options/oem-logo?
/proc/device-tree/options/use-nvramrc?
/proc/device-tree/options/use-generic?
/proc/device-tree/options/default-mac-address?
/proc/device-tree/options/real-base
/proc/device-tree/options/real-size
/proc/device-tree/options/load-base
/proc/device-tree/options/virt-base
/proc/device-tree/options/virt-size
/proc/device-tree/options/pci-probe-mask
/proc/device-tree/options/screen-#columns
/proc/device-tree/options/screen-#rows
/proc/device-tree/options/selftest-#megs
/proc/device-tree/options/boot-device
/proc/device-tree/options/boot-file
/proc/device-tree/options/boot-screen
/proc/device-tree/options/console-screen
/proc/device-tree/options/diag-device
/proc/device-tree/options/diag-file
/proc/device-tree/options/input-device
/proc/device-tree/options/output-device
/proc/device-tree/options/mouse-device
/proc/device-tree/options/oem-banner
/proc/device-tree/options/oem-logo
/proc/device-tree/options/nvramrc
/proc/device-tree/options/boot-command
/proc/device-tree/options/forced-boot
/proc/device-tree/options/fw-scsicfg
/proc/device-tree/options/fw-boot-path
/proc/device-tree/options/default-client-ip
/proc/device-tree/options/default-server-ip
/proc/device-tree/options/default-gateway-ip
/proc/device-tree/options/default-subnet-mask
/proc/device-tree/options/default-router-ip
/proc/device-tree/options/boot-script
/proc/device-tree/options/aapl,pci
/proc/device-tree/options/ASVP
/proc/device-tree/options/boot-args
/proc/device-tree/options/linux,phandle
/proc/device-tree/aliases
/proc/device-tree/aliases/name
/proc/device-tree/aliases/pci
/proc/device-tree/aliases/bridge
/proc/device-tree/aliases/mac-io
/proc/device-tree/aliases/via-cuda
/proc/device-tree/aliases/rtc
/proc/device-tree/aliases/adb-keyboard
/proc/device-tree/aliases/adb-mouse
/proc/device-tree/aliases/sound
/proc/device-tree/aliases/enet
/proc/device-tree/aliases/scca
/proc/device-tree/aliases/sccb
/proc/device-tree/aliases/nvram
/proc/device-tree/aliases/ide0
/proc/device-tree/aliases/cd
/proc/device-tree/aliases/zip
/proc/device-tree/aliases/ide1
/proc/device-tree/aliases/hd
/proc/device-tree/aliases/ultra0
/proc/device-tree/aliases/ultra1
/proc/device-tree/aliases/usb
/proc/device-tree/aliases/fw
/proc/device-tree/aliases/keyboard
/proc/device-tree/aliases/mouse
/proc/device-tree/aliases/usb-keyboard
/proc/device-tree/aliases/usb-mouse
/proc/device-tree/aliases/no-boot
/proc/device-tree/aliases/last-boot
/proc/device-tree/aliases/screen
/proc/device-tree/aliases/linux,phandle
/proc/device-tree/packages
/proc/device-tree/packages/name
/proc/device-tree/packages/linux,phandle
/proc/device-tree/packages/deblocker
/proc/device-tree/packages/deblocker/name
/proc/device-tree/packages/deblocker/linux,phandle
/proc/device-tree/packages/disk-label
/proc/device-tree/packages/disk-label/name
/proc/device-tree/packages/disk-label/linux,phandle
/proc/device-tree/packages/obp-tftp
/proc/device-tree/packages/obp-tftp/name
/proc/device-tree/packages/obp-tftp/stats
/proc/device-tree/packages/obp-tftp/linux,phandle
/proc/device-tree/packages/mac-parts
/proc/device-tree/packages/mac-parts/name
/proc/device-tree/packages/mac-parts/linux,phandle
/proc/device-tree/packages/mac-files
/proc/device-tree/packages/mac-files/name
/proc/device-tree/packages/mac-files/linux,phandle
/proc/device-tree/packages/hfs-plus-files
/proc/device-tree/packages/hfs-plus-files/name
/proc/device-tree/packages/hfs-plus-files/linux,phandle
/proc/device-tree/packages/fat-files
/proc/device-tree/packages/fat-files/name
/proc/device-tree/packages/fat-files/linux,phandle
/proc/device-tree/packages/iso-9660-files
/proc/device-tree/packages/iso-9660-files/name
/proc/device-tree/packages/iso-9660-files/linux,phandle
/proc/device-tree/packages/bootinfo-loader
/proc/device-tree/packages/bootinfo-loader/name
/proc/device-tree/packages/bootinfo-loader/linux,phandle
/proc/device-tree/packages/xcoff-loader
/proc/device-tree/packages/xcoff-loader/name
/proc/device-tree/packages/xcoff-loader/linux,phandle
/proc/device-tree/packages/pe-loader
/proc/device-tree/packages/pe-loader/name
/proc/device-tree/packages/pe-loader/linux,phandle
/proc/device-tree/packages/elf-loader
/proc/device-tree/packages/elf-loader/name
/proc/device-tree/packages/elf-loader/linux,phandle
/proc/device-tree/packages/usb-hid-class
/proc/device-tree/packages/usb-hid-class/name
/proc/device-tree/packages/usb-hid-class/linux,phandle
/proc/device-tree/packages/ata-disk
/proc/device-tree/packages/ata-disk/name
/proc/device-tree/packages/ata-disk/linux,phandle
/proc/device-tree/packages/atapi-disk
/proc/device-tree/packages/atapi-disk/name
/proc/device-tree/packages/atapi-disk/linux,phandle
/proc/device-tree/packages/bootpath-search
/proc/device-tree/packages/bootpath-search/name
/proc/device-tree/packages/bootpath-search/linux,phandle
/proc/device-tree/packages/terminal-emulator
/proc/device-tree/packages/terminal-emulator/name
/proc/device-tree/packages/terminal-emulator/iso6429-1983-colors
/proc/device-tree/packages/terminal-emulator/linux,phandle
/proc/device-tree/psuedo-usb
/proc/device-tree/psuedo-usb/name
/proc/device-tree/psuedo-usb/linux,phandle
/proc/device-tree/psuedo-hid
/proc/device-tree/psuedo-hid/name
/proc/device-tree/psuedo-hid/linux,phandle
/proc/device-tree/psuedo-hid/keyboard
/proc/device-tree/psuedo-hid/keyboard/name
/proc/device-tree/psuedo-hid/keyboard/device_type
/proc/device-tree/psuedo-hid/keyboard/linux,phandle
/proc/device-tree/psuedo-hid/mouse
/proc/device-tree/psuedo-hid/mouse/name
/proc/device-tree/psuedo-hid/mouse/device_type
/proc/device-tree/psuedo-hid/mouse/linux,phandle
/proc/device-tree/multiboot
/proc/device-tree/multiboot/name
/proc/device-tree/multiboot/linux,phandle
/proc/device-tree/rtas
/proc/device-tree/rtas/name
/proc/device-tree/rtas/restart-rtas
/proc/device-tree/rtas/nvram-fetch
/proc/device-tree/rtas/nvram-store
/proc/device-tree/rtas/get-time-of-day
/proc/device-tree/rtas/set-time-of-day
/proc/device-tree/rtas/set-time-for-power-on
/proc/device-tree/rtas/event-scan
/proc/device-tree/rtas/check-exception
/proc/device-tree/rtas/read-pci-config
/proc/device-tree/rtas/write-pci-config
/proc/device-tree/rtas/set-indicator
/proc/device-tree/rtas/power-off
/proc/device-tree/rtas/system-reboot
/proc/device-tree/rtas/get-time-for-power-on
/proc/device-tree/rtas/rtas-version
/proc/device-tree/rtas/rtas-event-scan-rate
/proc/device-tree/rtas/rtas-error-log-max
/proc/device-tree/rtas/rtas-size
/proc/device-tree/rtas/linux,phandle
/proc/device-tree/pci@80000000
/proc/device-tree/pci@80000000/name
/proc/device-tree/pci@80000000/device_type
/proc/device-tree/pci@80000000/model
/proc/device-tree/pci@80000000/#interrupt-cells
/proc/device-tree/pci@80000000/compatible
/proc/device-tree/pci@80000000/built-in
/proc/device-tree/pci@80000000/used-by-rtas
/proc/device-tree/pci@80000000/reg
/proc/device-tree/pci@80000000/#address-cells
/proc/device-tree/pci@80000000/#size-cells
/proc/device-tree/pci@80000000/clock-frequency
/proc/device-tree/pci@80000000/slot-names
/proc/device-tree/pci@80000000/bus-master-capable
/proc/device-tree/pci@80000000/ranges
/proc/device-tree/pci@80000000/bus-range
/proc/device-tree/pci@80000000/interrupt-map-mask
/proc/device-tree/pci@80000000/interrupt-map
/proc/device-tree/pci@80000000/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d
/proc/device-tree/pci@80000000/pci-bridge@d/vendor-id
/proc/device-tree/pci@80000000/pci-bridge@d/device-id
/proc/device-tree/pci@80000000/pci-bridge@d/revision-id
/proc/device-tree/pci@80000000/pci-bridge@d/class-code
/proc/device-tree/pci@80000000/pci-bridge@d/devsel-speed
/proc/device-tree/pci@80000000/pci-bridge@d/fast-back-to-back
/proc/device-tree/pci@80000000/pci-bridge@d/name
/proc/device-tree/pci@80000000/pci-bridge@d/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/reg
/proc/device-tree/pci@80000000/pci-bridge@d/#address-cells
/proc/device-tree/pci@80000000/pci-bridge@d/#size-cells
/proc/device-tree/pci@80000000/pci-bridge@d/#interrupt-cells
/proc/device-tree/pci@80000000/pci-bridge@d/clock-frequency
/proc/device-tree/pci@80000000/pci-bridge@d/model
/proc/device-tree/pci@80000000/pci-bridge@d/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/slot-names
/proc/device-tree/pci@80000000/pci-bridge@d/bus-master-capable
/proc/device-tree/pci@80000000/pci-bridge@d/bus-range
/proc/device-tree/pci@80000000/pci-bridge@d/ranges
/proc/device-tree/pci@80000000/pci-bridge@d/interrupt-map-mask
/proc/device-tree/pci@80000000/pci-bridge@d/interrupt-map
/proc/device-tree/pci@80000000/pci-bridge@d/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/vendor-id
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/device-id
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/revision-id
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/class-code
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/min-grant
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/max-latency
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/devsel-speed
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/model
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/assigned-addresses
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ranges
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/#address-cells
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/#size-cells
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/interrupt-controller@10
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/interrupt-controller@10/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/interrupt-controller@10/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/interrupt-controller@10/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/interrupt-controller@10/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/interrupt-controller@10/interrupt-controller
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/interrupt-controller@10/#interrupt-cells
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/interrupt-controller@10/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/interrupt-controller
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/@10
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/built-in
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/clock-frequency
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/interrupt-parent
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/disk
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/disk/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/disk/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/disk/category
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/disk/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/tape
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/tape/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/tape/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/tape/category
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/tape/removable
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi@10000/tape/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/scsi
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/@10000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/built-in
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/#address-cells
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ranges
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-a@12002
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-a@12002/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-a@12002/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-a@12002/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-a@12002/built-in
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-a@12002/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-a@12002/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-a@12002/interrupt-parent
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-a@12002/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-a
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/@12002
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-b@12000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-b@12000/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-b@12000/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-b@12000/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-b@12000/built-in
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-b@12000/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-b@12000/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-b@12000/interrupt-parent
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-b@12000/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/ch-b
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy@12000/@12000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc-legacy
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/@12000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/built-in
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/#address-cells
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ranges
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-a@13020
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-a@13020/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-a@13020/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-a@13020/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-a@13020/built-in
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-a@13020/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-a@13020/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-a@13020/interrupt-parent
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-a@13020/slot-names
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-a@13020/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-a
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/@13020
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-b@13000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-b@13000/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-b@13000/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-b@13000/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-b@13000/built-in
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-b@13000/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-b@13000/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-b@13000/interrupt-parent
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-b@13000/slot-names
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-b@13000/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/ch-b
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc@13000/@13000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/escc
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/@13000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/interrupt-parent
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/clock-frequency
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/model
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/vendor-id
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/device-id
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/#input-channels
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/#output-channels
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/sample-precisions
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/sample-frame-size
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/input-frame-rates
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/output-frame-rates
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/input-encoding-types
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/output-encoding-types
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/sub-frame
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus@14000/sound/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/davbus
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/@14000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/power-mgt@0
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/power-mgt@0/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/power-mgt@0/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/power-mgt@0/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/power-mgt@0/mgt-kind
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/power-mgt@0/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/power-mgt@0/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/#address-cells
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/#size-cells
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/interrupt-parent
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/disk@0
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/disk@0/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/disk@0/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/disk@0/removable
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/disk@0/category
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/disk@0/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc@15000/disk@0/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/fdc
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/@15000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/interrupt-parent
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/rtc
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/rtc/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/rtc/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/rtc/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/#address-cells
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/#size-cells
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/keyboard@2
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/keyboard@2/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/keyboard@2/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/keyboard@2/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/keyboard@2/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/keyboard
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/@2
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/mouse@3
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/mouse@3/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/mouse@3/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/mouse@3/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/mouse@3/#buttons
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/mouse@3/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/mouse
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/@3
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/programmer-switch@0
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/programmer-switch@0/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/programmer-switch@0/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/programmer-switch@0/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/programmer-switch@0/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/programmer-switch@0/interrupt-parent
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda@16000/adb/programmer-switch@0/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/via-cuda
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/@16000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/AAPL,connector
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/AAPL,bus-id
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/#address-cells
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/#size-cells
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/AAPL,pio-timing
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/interrupt-parent
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/disk
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/disk/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/disk/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/disk/removable
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/disk/category
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3@20000/disk/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ata-3
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/@20000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/network-type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/removable
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/category
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/stats
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/local-mac-address
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/address-bits
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/max-frame-size
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/cell-id
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/interrupt-parent
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/lanLibID
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet@11000/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/ethernet
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/@11000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/nvram@60000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/nvram@60000/name
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/nvram@60000/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/nvram@60000/reg
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/nvram@60000/#bytes
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/nvram@60000/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/nvram
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io@5/@60000
/proc/device-tree/pci@80000000/pci-bridge@d/mac-io
/proc/device-tree/pci@80000000/pci-bridge@d/@5
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/vendor-id
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/device-id
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/revision-id
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/class-code
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/min-grant
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/max-latency
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/subsystem-vendor-id
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/subsystem-id
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/devsel-speed
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/name
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/reg
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/assigned-addresses
/proc/device-tree/pci@80000000/pci-bridge@d/firewire@0/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/vendor-id
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/device-id
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/revision-id
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/class-code
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/min-grant
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/max-latency
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/subsystem-vendor-id
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/subsystem-id
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/devsel-speed
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/fast-back-to-back
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/name
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/#address-cells
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/#size-cells
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/reg
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/assigned-addresses
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/name
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/#address-cells
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/#size-cells
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/reg
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/disk@0
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/disk@0/name
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/disk@0/device-id
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/disk@0/reg
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/disk@0/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/disk@0/category
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata@1/ata-4@0/disk@0/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/pci-ata
/proc/device-tree/pci@80000000/pci-bridge@d/@1
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/vendor-id
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/device-id
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/revision-id
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/class-code
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/min-grant
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/max-latency
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/subsystem-vendor-id
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/subsystem-id
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/devsel-speed
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/fast-back-to-back
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/fcode-rom-offset
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/name
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/model
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/ADPT,fcode-version
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/ADPT,fcode-date
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/reg
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/wide
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/power-consumption
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/assigned-addresses
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/ADPT,nvram
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/disk
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/disk/name
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/disk/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/disk/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/disk/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/tape
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/tape/name
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/tape/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/tape/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B@4/tape/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/ADPT,2940U2B
/proc/device-tree/pci@80000000/pci-bridge@d/@4
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/vendor-id
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/device-id
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/revision-id
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/class-code
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/interrupts
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/min-grant
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/max-latency
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/subsystem-vendor-id
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/subsystem-id
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/devsel-speed
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/fast-back-to-back
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/name
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/reg
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/#address-cells
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/#size-cells
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/compatible
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/assigned-addresses
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/reg
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/assigned-address
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/name
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/#address-cells
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/#size-cells
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/keyboard@1
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/keyboard@1/reg
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/keyboard@1/assigned-address
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/keyboard@1/name
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/keyboard@1/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/keyboard@1/endpoints
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/keyboard@1/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/keyboard
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/@1
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/mouse@2
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/mouse@2/reg
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/mouse@2/assigned-address
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/mouse@2/name
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/mouse@2/device_type
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/mouse@2/#buttons
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/mouse@2/endpoints
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/mouse@2/linux,phandle
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/mouse
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub@1/@2
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/hub
/proc/device-tree/pci@80000000/pci-bridge@d/usb@6/@1
/proc/device-tree/pci@80000000/pci-bridge@d/usb
/proc/device-tree/pci@80000000/pci-bridge@d/@6
/proc/device-tree/pci@80000000/pci-bridge
/proc/device-tree/pci@80000000/@d
/proc/device-tree/pci@80000000/ATY,Rage128y@10
/proc/device-tree/pci@80000000/ATY,Rage128y@10/vendor-id
/proc/device-tree/pci@80000000/ATY,Rage128y@10/device-id
/proc/device-tree/pci@80000000/ATY,Rage128y@10/revision-id
/proc/device-tree/pci@80000000/ATY,Rage128y@10/class-code
/proc/device-tree/pci@80000000/ATY,Rage128y@10/interrupts
/proc/device-tree/pci@80000000/ATY,Rage128y@10/min-grant
/proc/device-tree/pci@80000000/ATY,Rage128y@10/max-latency
/proc/device-tree/pci@80000000/ATY,Rage128y@10/subsystem-vendor-id
/proc/device-tree/pci@80000000/ATY,Rage128y@10/subsystem-id
/proc/device-tree/pci@80000000/ATY,Rage128y@10/devsel-speed
/proc/device-tree/pci@80000000/ATY,Rage128y@10/fast-back-to-back
/proc/device-tree/pci@80000000/ATY,Rage128y@10/fcode-rom-offset
/proc/device-tree/pci@80000000/ATY,Rage128y@10/ATY,Status
/proc/device-tree/pci@80000000/ATY,Rage128y@10/ATY,Flags
/proc/device-tree/pci@80000000/ATY,Rage128y@10/EDID
/proc/device-tree/pci@80000000/ATY,Rage128y@10/depth
/proc/device-tree/pci@80000000/ATY,Rage128y@10/device_type
/proc/device-tree/pci@80000000/ATY,Rage128y@10/character-set
/proc/device-tree/pci@80000000/ATY,Rage128y@10/iso6429-1983-colors
/proc/device-tree/pci@80000000/ATY,Rage128y@10/reg
/proc/device-tree/pci@80000000/ATY,Rage128y@10/name
/proc/device-tree/pci@80000000/ATY,Rage128y@10/model
/proc/device-tree/pci@80000000/ATY,Rage128y@10/ATY,Rom#
/proc/device-tree/pci@80000000/ATY,Rage128y@10/ATY,Card#
/proc/device-tree/pci@80000000/ATY,Rage128y@10/ATY,Fcode
/proc/device-tree/pci@80000000/ATY,Rage128y@10/assigned-addresses
/proc/device-tree/pci@80000000/ATY,Rage128y@10/Sime
/proc/device-tree/pci@80000000/ATY,Rage128y@10/address
/proc/device-tree/pci@80000000/ATY,Rage128y@10/width
/proc/device-tree/pci@80000000/ATY,Rage128y@10/height
/proc/device-tree/pci@80000000/ATY,Rage128y@10/linebytes
/proc/device-tree/pci@80000000/ATY,Rage128y@10/linux,opened
/proc/device-tree/pci@80000000/ATY,Rage128y@10/linux,boot-display
/proc/device-tree/pci@80000000/ATY,Rage128y@10/linux,phandle
/proc/device-tree/pci@80000000/ATY,Rage128y
/proc/device-tree/pci@80000000/@10
/proc/device-tree/pci
/proc/device-tree/@80000000
Comment 5 Paul Nasrat 2005-04-21 12:20:39 EDT
Thanks - can you attach lsmod and cat /etc/modprobe.conf 
Comment 6 Christian Bjelle 2005-04-21 12:50:26 EDT
lsmod:
Module                  Size  Used by
lp                     15984  0
parport                52816  1 lp
sg                     44416  0
sunrpc                210984  1
pcmcia                 37376  0
yenta_socket           25064  0
rsrc_nonstatic         14272  1 yenta_socket
pcmcia_core            65972  3 pcmcia,yenta_socket,rsrc_nonstatic
dm_mod                 74236  0
md5                     4864  1
ipv6                  341984  10
pcilynx                28296  0
ieee1394              447400  1 pcilynx
ohci_hcd               33616  0
bmac                   20496  0
ext3                  173416  1
jbd                   107512  1 ext3
aic7xxx               286964  0
sd_mod                 24256  0
scsi_mod              195044  3 sg,aic7xxx,sd_mod

cat /etc/modprobe.conf:
alias scsi_hostadapter aic7xxx
alias eth0 bmac
alias usb-controller ohci-hcd
alias ieee1394-controller pcilynx
Comment 7 Paul Nasrat 2005-04-26 06:04:35 EDT
OK I'm looking here on a G3 PowerBook (Lombard I think):

lspci:
...
00:10.0 (Class ff00) Apple Computer Inc. Paddington Mac I/O
...

The ethernet device is below the mac-io
/sys/devices/pci0000:00/0000:00:10.0/0.808000000:mac-io/0.00011000:ethernet

kudzu -p -c network
-
class: NETWORK
bus: MACIO
device: eth0
driver: bmac
desc: "Apple Computer Inc.|BMAC/BMAC+"

I guess we're not probing macio bus.
Comment 8 Jeremy Katz 2005-04-26 11:38:51 EDT
We should be probing BUS_UNSPEC, but libkudzu_loader may not have MACIO built in.

Will check...
Comment 9 Jeremy Katz 2005-04-26 11:40:41 EDT
No, looks like macio is there...  from kudzu/Makefile:
  ifeq (ppc,$(ARCH))
  LOADEROBJ += minifind.o macio.o adb.o vio.o
  endif


Does the probing work for you before you load the module?
Comment 10 Paul Nasrat 2005-04-26 11:56:05 EDT
booting with init=/bin/sh kudzu -p -c network finds the MACIO stuff.

 detectHardware does:

BUS_PCI | BUS_SBUS | BUS_VIO | ((has_pcmcia() >= 0) ? BUS_PCMCIA : 0)
Comment 11 Jeremy Katz 2005-04-27 01:44:10 EDT
Doh, I'm blind.  Fixed.

Note You need to log in before you can comment on or make changes to this bug.